Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.jndi
Class JNDIManager.JNDISessionListener

    java.lang.Object
      org.jasig.portal.jndi.JNDIManager.JNDISessionListener

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

Enclosing class:
  JNDIManager

    private static class JNDIManager.JNDISessionListener

extends java.lang.Object
implements javax.servlet.http.HttpSessionBindingListener, java.io.Serializable

This class will be bound to the user's session when they log in. When the user's session is expired this object should be unbound and will clean up all user specific objects in JNDI. Note: It's possible that not all servlet containers properly unbind objects from the session when it expires!

Constructor Summary
`private` | `JNDIManager.JNDISessionListener()`

Method Summary
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)` This method is called when the JNDISessionListener is unbound from a user's session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIManager.JNDISessionListener

    private JNDIManager.JNDISessionListener()

Method Detail

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  This method is called when the JNDISessionListener is unbound from a user's session. This should only happen when the users session is either destroyed or expires. Note: This method may need synchronization! If a user logs in and out quickly there may be problems with things not happening in the correct order.

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`
  Parameters:
    `bindingEvent` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD